#!/usr/local/bin/bash
# This file checks if autohotkey is running, and if not it set back the default keyboard layout

# Waiting until autohotkey is exited...
while [ true ]; do
    # Checking if autohotkey is in the process list
    p=`/bin/ps ax | grep wine | grep -i autohotkey`
    echo $p
    if [ "$p" == "" ]; then
	# The default language from /etc/X11/xorg.conf
	deflang=`cat /etc/X11/xorg.conf | grep -i 'xkblayout' | sed -e 's/"//g' | sed -e 's/^.*option.*xkblayout\s*\(.*\)\s*$/\1/i'`
	setxkbmap $deflang
	exit 0
    fi
    sleep 0.1
done
